> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Initiative

> Create an Initiative.

API key must have the `Edit Initiative` permission.



## OpenAPI

````yaml /openapi/cortex_swagger.json post /api/v1/initiatives
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/initiatives:
    post:
      tags:
        - Initiatives
      summary: Create an Initiative
      description: |-
        Create an Initiative.

        API key must have the `Edit Initiative` permission.
      operationId: createInitiative
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitiativeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Initiative'
          description: Successfully created Initiative
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    InitiativeRequest:
      required:
        - emphasizedLevels
        - emphasizedRules
        - isDraft
        - name
        - scorecardTag
        - targetDate
      type: object
      properties:
        description:
          type: string
          description: Optional description of the Initiative
        emphasizedLevels:
          type: array
          description: >-
            Emphasized levels for the Initiative. Either emphasized levels or
            rules must be provided
          items:
            $ref: '#/components/schemas/EmphasizedLadderLevelRequest'
        emphasizedRules:
          type: array
          description: >-
            Emphasized rules for the Initiative. Either emphasized levels or
            rules must be provided
          items:
            $ref: '#/components/schemas/EmphasizedRuleRequest'
        filter:
          $ref: '#/components/schemas/Filter'
        isDraft:
          type: boolean
          description: Whether or not the Initiative is a draft
        name:
          type: string
          description: Name of the Initiative
        notificationSchedule:
          $ref: '#/components/schemas/NotificationSchedule'
        scorecardTag:
          type: string
          description: Tag of the scorecard associated with the Initiative
        targetDate:
          type: string
          description: >-
            Target date for the Initiative to be completed. Must be in the
            future
          format: date
    Initiative:
      required:
        - dateCreated
        - dateUpdated
        - emphasizedLevels
        - emphasizedRules
        - isDraft
        - name
        - scorecardName
        - scorecardTag
        - targetDate
      type: object
      properties:
        cid:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier for the
            Initiative.
          example: in2da8159dbeefb974
        dateCreated:
          type: string
          description: Time the Initiative was created
          format: date-time
        dateUpdated:
          type: string
          description: Time the Initiative was last updated
          format: date-time
        description:
          type: string
          description: Optional description of the Initiative
        emphasizedLevels:
          uniqueItems: true
          type: array
          description: Emphasized levels for the Initiative
          items:
            $ref: '#/components/schemas/EmphasizedLevel'
        emphasizedRules:
          uniqueItems: true
          type: array
          description: Emphasized rules for the Initiative
          items:
            $ref: '#/components/schemas/EmphasizedRule'
        filter:
          $ref: '#/components/schemas/Filter'
        isDraft:
          type: boolean
          description: Whether or not the Initiative is a draft
        name:
          type: string
          description: Name of the Initiative
        notificationSchedule:
          $ref: '#/components/schemas/NotificationSchedule'
        scorecardName:
          type: string
          description: Name of the scorecard associated with the Initiative
        scorecardTag:
          type: string
          description: Tag of the scorecard associated with the Initiative
        targetDate:
          type: string
          description: Target date for the Initiative to be completed
          format: date
    ErrorResponse:
      required:
        - message
        - type
      type: object
      properties:
        details:
          type: string
        errorCode:
          type: string
        gatewayHttpStatus:
          type: integer
          format: int32
        httpStatus:
          type: integer
          format: int32
        message:
          type: string
        requestId:
          type: string
        type:
          type: string
          enum:
            - INTEGRATION_MISSING
            - INTEGRATION_UNREGISTERED
            - INTEGRATION_UNSUPPORTED
            - INTEGRATION_GRAPHQL_ERROR
            - INTEGRATION_BAD_REQUEST
            - INTEGRATION_UNAUTHORIZED
            - INTEGRATION_FORBIDDEN
            - INTEGRATION_NOT_FOUND
            - INTEGRATION_UNPROCESSABLE_CONTENT
            - INTEGRATION_RATE_LIMITED
            - INTEGRATION_INTERNAL_ERROR
            - INTEGRATION_NOT_IMPLEMENTED
            - INTEGRATION_BAD_GATEWAY
            - INTEGRATION_UNAVAILABLE
            - INTEGRATION_GATEWAY_TIMEOUT
            - INTEGRATION_TIMED_OUT
            - INTEGRATION_CACHE_ERROR
            - INTEGRATION_UNHANDLED_HTTP_ERROR
            - INTEGRATION_UNHANDLED_EXCEPTION
            - INTEGRATION_UNEXPECTED_ERROR
            - ILLEGAL_ARGUMENT_ERROR
            - BAD_REQUEST
            - FORBIDDEN
            - NOT_FOUND
            - REQUEST_TIMEOUT
            - CONFLICT
            - UNHANDLED_EXCEPTION
            - UNCATEGORIZED
            - SERVICE_CREATOR
            - UNKNOWN_HOST
            - TOO_MANY_REQUESTS
    EmphasizedLadderLevelRequest:
      required:
        - rank
      type: object
      properties:
        rank:
          type: integer
          description: Rank of the level where 1 is the highest
          format: int32
      description: >-
        Emphasized levels for the Initiative. Either emphasized levels or rules
        must be provided
    EmphasizedRuleRequest:
      required:
        - expression
      type: object
      properties:
        expression:
          type: string
          description: CQL expression for the emphasized rule
      description: >-
        Emphasized rules for the Initiative. Either emphasized levels or rules
        must be provided
    Filter:
      type: object
      properties:
        groups:
          $ref: '#/components/schemas/GroupFilter'
        query:
          type: string
          description: CQL expression to apply as a filter
        types:
          $ref: '#/components/schemas/TypeFilter'
      description: Filter that selects the entities in the catalog, for `FILTER` catalogs
    NotificationSchedule:
      required:
        - isDisabled
        - timeInterval
        - timeUnit
      type: object
      properties:
        isDisabled:
          type: boolean
          description: Whether or not notifications are disabled for this Initiative
        replyToEmails:
          type: array
          description: Optional list of reply-to emails
          items:
            type: string
            description: Optional list of reply-to emails
        timeInterval:
          type: integer
          description: Time interval for the notification schedule cadence
          format: int32
        timeUnit:
          type: string
          description: >-
            Time unit for the notification schedule. Must be one of DAY, WEEK,
            MONTH
      description: Notification schedule for the Initiative
    EmphasizedLevel:
      required:
        - color
        - name
        - rank
      type: object
      properties:
        color:
          type: string
          description: Color associated with the emphasized level
        name:
          type: string
          description: Name of the emphasized level
        rank:
          type: integer
          description: Rank of the level where 1 is the highest
          format: int32
      description: Emphasized levels for the Initiative
    EmphasizedRule:
      required:
        - expression
      type: object
      properties:
        description:
          type: string
          description: Optional description of the emphasized rule
        expression:
          type: string
          description: CQL expression for the emphasized rule
        title:
          type: string
          description: Optional title of the emphasized rule
      description: Emphasized rules for the Initiative
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    GroupFilter:
      type: object
      properties:
        exclude:
          uniqueItems: true
          type: array
          items:
            type: string
        include:
          uniqueItems: true
          type: array
          items:
            type: string
      description: Entity groups to include or exclude
    TypeFilter:
      type: object
      properties:
        exclude:
          uniqueItems: true
          type: array
          items:
            type: string
        include:
          uniqueItems: true
          type: array
          items:
            type: string
      description: >-
        Entity types (e.g. service, domain, team) to include or exclude. Only
        one of `include` or `exclude` can be set
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [Initiatives](/api/rest/initiatives.md)
- [Initiatives and Action items](/improve/initiatives.md)
- [Create a Scorecard](/standardize/scorecards/create.md)
